SchemaGlobalAttribute (xmlbeans API)

org.apache.xmlbeans

## Interface SchemaGlobalAttribute

- All Superinterfaces:
    SchemaAnnotated, SchemaComponent, SchemaField, SchemaLocalAttribute
  All Known Implementing Classes:
    SchemaGlobalAttributeImpl

      public interface SchemaGlobalAttribute
      extends SchemaLocalAttribute, SchemaComponent

  Represents a global attribute definition
  See Also:
    `SchemaTypeLoader.findAttribute(javax.xml.namespace.QName)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SchemaGlobalAttribute.Ref` Used to allow on-demand loading of elements.

  - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaLocalAttribute

      `OPTIONAL, PROHIBITED, REQUIRED`

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

      `ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaGlobalAttribute.Ref` | `getRef()` Retruns a SchemaGlobalElement.Ref pointing to this element itself.

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaLocalAttribute

      `getUse`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaField

      `getDefaultText, getDefaultValue, getMaxOccurs, getMinOccurs, getName, getType, getUserData, isAttribute, isDefault, isFixed, isNillable`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated

      `getAnnotation`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaComponent

      `getComponentRef, getComponentType, getName, getSourceName, getTypeSystem`

- - ### Method Detail

    - #### getRef

          SchemaGlobalAttribute.Ref getRef()

      Retruns a SchemaGlobalElement.Ref pointing to this element itself.